#ifdef _WIN32
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#else
#include <unistd.h>
#endif

#include "jfaud.h"
#include <stdio.h>

//int WINAPI WinMain(HINSTANCE hInst, HINSTANCE hPrevInst, LPSTR lpCmdLine, int nCmdShow)
int main(int argc, char *argv[])
{
	int audiochan,audiochan2;

	struct jfaud_init_params initparms = {
		"",
		"",
		"",

		4,
		22050,

		NULL,
		NULL,
		NULL,
		NULL,
		NULL,

		NULL
	};

	jfauderr error;

	if (argc<2){
		puts("No filename given");
		return -1;
	}

	error = jfaud_init(&initparms);
	if (error != jfauderr_ok) {
		printf("jfaud_init() returned %s\n", jfauderr_getstring(error));
		return 1;
	}

	jfaud_simulateaudiolib(1);

	/*
	error = jfaud_playmusic("grabbag.mid", 0.5, 0, jfaud_playing);
	if (error != jfauderr_ok) {
		printf("jfaud_playmusic() returned %s\n", jfauderr_getstring(error));
		return 1;
	}
	*/
	error = jfaud_playsound(&audiochan, argv[1], 1.0,1.0,0,
			0.0,0.0,0.0, 0.0,0.0,0.0, 0, 1,1, jfaud_playing);
	if (error != jfauderr_ok) {
		printf("jfaud_playsound() returned %s\n", jfauderr_getstring(error));
		return 1;
	}

	do {
		jfaudplaymode chan1,chan2;

		jfaud_update();

		jfaud_getsoundplaymode(audiochan,&chan1);
		jfaud_getmusicplaymode(&chan2);
		if (chan1 == jfaud_stopped && chan2 == jfaud_stopped) break;

#ifdef _WIN32
		Sleep(10);
#else
		usleep(10*100);
#endif
	} while (1);
	

	error = jfaud_setsoundplaymode(audiochan, jfaud_stopped);
	if (error != jfauderr_ok) {
		printf("jfaud_setsoundplaymode() returned %s\n", jfauderr_getstring(error));
		return 1;
	}

	error = jfaud_uninit();
	if (error != jfauderr_ok) {
		printf("jfaud_uninit() returned %s\n", jfauderr_getstring(error));
		return 1;
	}
	
	return 0;
}

