#ifndef __cda_h__
#define __cda_h__

typedef enum {
	cdastatus_notready,
	cdastatus_paused,
	cdastatus_playing,
	cdastatus_stopped,
	cdastatus_seeking
} cdastatus;

typedef struct {
	unsigned long start, length;
	char isdata;
} cdatoc;
#define MAX_CDA_TRACKS 99	// an audio CD can only have 99 tracks as it is
#define CDA_FPS 75

extern cdatoc cda_trackinfo[MAX_CDA_TRACKS];
extern int    cda_numtracks;

jfauderr cda_opendevice(void);
jfauderr cda_closedevice(void);
jfauderr cda_getstatus(cdastatus *status);
jfauderr cda_querydisc(void);
jfauderr cda_play(int startframe, int endframe);
jfauderr cda_stop(void);
jfauderr cda_pause(int on);

#endif	// __cda_h__
