#ifndef __channel_h__
#define __channel_h__

typedef int jfaudchan;
#define CHANTYPE_MASK	0xf0000000l
#define CHANTYPE_WAVE	0x00000000l
#define CHANTYPE_MIDI	0x10000000l
#define CHANTYPE_CDA	0x20000000l

#define ReservedPriority (-1)

jfauderr channel_init(void);
jfauderr channel_uninit(void);
jfauderr channel_update(void);

jfauderr channel_allocwave(jfaudchan *chan, fileident ident, int priority);
jfauderr channel_allocwavestream(jfaudchan *chan, File *file, int priority);

jfauderr channel_allocmidi(jfaudchan *chan, fileident ident);
jfauderr channel_alloccda(jfaudchan *chan, int starttrack, int endtrack);

jfauderr channel_release(jfaudchan chan);

jfauderr channel_setprops(jfaudchan chan, int nprops, JFAudProp *props);
jfauderr channel_getplaymode(jfaudchan chan, JFAudPlayMode *mode);
jfauderr channel_setplaymode(jfaudchan chan, JFAudPlayMode mode);

#endif // __channel_h__
